import * as tslib_1 from "tslib";
import { IgrHorizontalAnchoredCategorySeries } from "./igr-horizontal-anchored-category-series";
import { PointSeries } from "./PointSeries";
/**
 * Represents a IgxDataChartComponent point series.
*/
var IgrPointSeries = /** @class */ (function (_super) {
    tslib_1.__extends(IgrPointSeries, _super);
    function IgrPointSeries(props) {
        return _super.call(this, props) || this;
    }
    IgrPointSeries.prototype.createImplementation = function () {
        return new PointSeries();
    };
    Object.defineProperty(IgrPointSeries.prototype, "i", {
        get: function () {
            return this._implementation;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(IgrPointSeries.prototype, "isMarkerlessDisplayPreferred", {
        get: function () {
            return this.i.cx;
        },
        enumerable: true,
        configurable: true
    });
    return IgrPointSeries;
}(IgrHorizontalAnchoredCategorySeries));
export { IgrPointSeries };
